range                  package:base                  R Documentation

Range of Values

Description:

     'range' returns a vector containing the minimum and maximum of all
     the given arguments.

Usage:

     range(..., na.rm = FALSE)

     ## Default S3 method:
     range(..., na.rm = FALSE, finite = FALSE)

Arguments:

     ...: any 'numeric' objects.

   na.rm: logical, indicating if 'NA''s should be omitted.

  finite: logical, indicating if all non-finite elements should be
          omitted.

Details:

     'range' is a generic function: methods can be defined for it
     directly or via the 'Summary' group generic.

     If 'na.rm' is 'FALSE', 'NA' and 'NaN' values in any of the
     arguments will cause 'NA' values to be returned, otherwise 'NA'
     values are ignored.

     If 'finite' is 'TRUE', the minimum and maximum of all finite
     values is computed, i.e., 'finite=TRUE' _includes_ 'na.rm=TRUE'.

     A special situation occurs when there is no (after omission of
     'NA's) nonempty argument left, see 'min'.

References:

     Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) _The New S
     Language_. Wadsworth & Brooks/Cole.

See Also:

     'min', 'max', 'Methods'.

Examples:

     (r.x <- range(rnorm(100)))
     diff(r.x) # the SAMPLE range

     x <- c(NA, 1:3, -1:1/0); x
     range(x)
     range(x, na.rm = TRUE)
     range(x, finite = TRUE)

